part of 'tour_bloc.dart';

abstract class TourEvent extends Equatable {
  const TourEvent();

  @override
  List<Object?> get props => [];
}

class LoadTours extends TourEvent {
  const LoadTours();
}

class SelectTour extends TourEvent {
  final Tour tour;

  const SelectTour(this.tour);

  @override
  List<Object?> get props => [tour];
}

class CompleteTour extends TourEvent {
  final int tourId;

  const CompleteTour(this.tourId);

  @override
  List<Object?> get props => [tourId];
}

class SyncData extends TourEvent {
  const SyncData();
}

class RefreshTours extends TourEvent {
  const RefreshTours();
}

class LoadTourDetails extends TourEvent {
  final int tourId;

  const LoadTourDetails(this.tourId);

  @override
  List<Object?> get props => [tourId];
}

class UpdateShowCompleted extends TourEvent {
  final bool showCompleted;

  const UpdateShowCompleted(this.showCompleted);

  @override
  List<Object?> get props => [showCompleted];
}
